> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.yunojuno.com/client-api/spend-requisitions/spend-requests-retrieve/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.yunojuno.com/_mcp/server. # Retrieve a spend requisition GET https://api.yunojuno.com/spend_requests/{spend_request_id}/ Retrieve a spend requisition by its ID. Spend requisitions are pre-contract funding requests that flow through approvals. Use this endpoint to fetch the latest authoritative server-side representation after creation or approval. Note: Spend Requisition was previously named Spend Request. Some programmatic names use the old terminology. Reference: https://docs.yunojuno.com/client-api/spend-requisitions/spend-requests-retrieve ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `spend_request_id` (string, required) ## Response ### 200 - `data` (SpendRequest, required) — The spend requisition object. This object represents a request to commit spend on the YunoJuno platform. Spend Requisition was previously named Spend Request in the API documentation; some programmatic names use the old terminology. ## Types ### SpendRequest The spend requisition object. This object represents a request to commit spend on the YunoJuno platform. Spend Requisition was previously named Spend Request in the API documentation; some programmatic names use the old terminology. - `spend_request_id` (string, required) - `url` (string, required, nullable) - `external_id` (string, required, nullable) - `title` (string, required) - `description` (string, required) - `amount` (string, required) - `amount_type` (enum, required) — * `DAY_RATE` - Day rate * `TOTAL` - Total - Allowed values: `DAY_RATE`, `TOTAL` - `currency` (enum, required) — * `AUD` - $ AUD * `CAD` - $ CAD * `CHF` - ₣ CHF * `CZK` - Kč CZK * `DKK` - kr DKK * `EUR` - € EUR * `GBP` - £ GBP * `HKD` - $ HKD * `NOK` - kr NOK * `NZD` - $ NZD * `PLN` - zł PLN * `SEK` - kr SEK * `SGD` - $ SGD * `AED` - د.إ AED * `USD` - $ USD * `ZAR` - R ZAR - Allowed values: `AUD`, `CAD`, `CHF`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `NOK`, `NZD`, `PLN`, `SEK`, `SGD`, `AED`, `USD`, `ZAR` - `custom_fields` (list of CustomField, required) - `approval_flow` (ApprovalFlowReference, required, nullable) ### CustomField Represents a single custom field. - `name` (string, required) — The name of the custom field. - `value` (string, required) — The value of the custom field. ### ApprovalFlowReference - `approval_flow_id` (string, required) - `current_approval_step` (CurrentApprovalStepReference, required, nullable) ### CurrentApprovalStepReference - `approval_step_id` (string, required) ## Examples **Response** ```json { "data": { "spend_request_id": "string", "url": "string", "external_id": "string", "title": "string", "description": "string", "amount": "string", "amount_type": "DAY_RATE", "currency": "AUD", "custom_fields": [ { "name": "string", "value": "string", "metadata": null } ], "approval_flow": { "approval_flow_id": "string", "current_approval_step": { "approval_step_id": "string" } } } } ``` **SDK Code** ```python import requests url = "https://api.yunojuno.com/spend_requests/spend_request_id/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.yunojuno.com/spend_requests/spend_request_id/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.yunojuno.com/spend_requests/spend_request_id/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.yunojuno.com/spend_requests/spend_request_id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.yunojuno.com/spend_requests/spend_request_id/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.yunojuno.com/spend_requests/spend_request_id/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.yunojuno.com/spend_requests/spend_request_id/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.yunojuno.com/spend_requests/spend_request_id/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```